summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Dave Woodfall2020-01-31 18:01:14 +0100
committer Willy Sudiarto Raharjo2020-01-31 18:01:14 +0100
commitda83b18c5e2686e3d8e2a4cf707f84a1ea3d521a (patch)
treec592e1fec593652befe79a9882b59071132ce8b6
parent83f81168de281ff765d856fe6b0c8f3c21cc025d (diff)
downloadslackbuilds-da83b18c5e2686e3d8e2a4cf707f84a1ea3d521a.tar.gz
libraries/python3-PyQtWebEngine: Added (Py3 QtWebEngine Binding).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/python3-PyQtWebEngine/README6
-rw-r--r--libraries/python3-PyQtWebEngine/python3-PyQtWebEngine.SlackBuild103
-rw-r--r--libraries/python3-PyQtWebEngine/python3-PyQtWebEngine.info10
-rw-r--r--libraries/python3-PyQtWebEngine/slack-desc19
4 files changed, 138 insertions, 0 deletions
diff --git a/libraries/python3-PyQtWebEngine/README b/libraries/python3-PyQtWebEngine/README
new file mode 100644
index 0000000000..9cb58157cc
--- /dev/null
+++ b/libraries/python3-PyQtWebEngine/README
@@ -0,0 +1,6 @@
+Python3 QtWebEngine Bindings
+
+python3-PyQtWebEngine is a set of Python bindings for The Qt
+Company's Qt WebEngine libraries. The bindings sit on top of
+PyQt5 and are implemented as a set of three modules. Prior
+to v5.12 these bindings were part of PyQt itself.
diff --git a/libraries/python3-PyQtWebEngine/python3-PyQtWebEngine.SlackBuild b/libraries/python3-PyQtWebEngine/python3-PyQtWebEngine.SlackBuild
new file mode 100644
index 0000000000..aba9d8897f
--- /dev/null
+++ b/libraries/python3-PyQtWebEngine/python3-PyQtWebEngine.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for python3-PyQtWebEngine
+#
+# Copyright 2020 David Woodfall <dave@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=python3-PyQtWebEngine
+SRCNAM=${PRGNAM#*-}
+VERSION=${VERSION:-5.13.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+PYTHONVER=$(python3 -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d.)
+
+export QTDIR=/usr/lib${LIBDIRSUFFIX}/qt5
+export QT5DIR=/usr/lib${LIBDIRSUFFIX}/qt5
+
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+
+python3 configure.py \
+ --verbose \
+ -q /usr/bin/qmake-qt5 \
+ --sip=/usr/bin/python3-sip \
+ --sip-incdir=/usr/include/python$PYTHONVER
+
+make
+make -j1 install DESTDIR=$PKG INSTALL_ROOT=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog LICENSE NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/python3-PyQtWebEngine/python3-PyQtWebEngine.info b/libraries/python3-PyQtWebEngine/python3-PyQtWebEngine.info
new file mode 100644
index 0000000000..d2c2eb3694
--- /dev/null
+++ b/libraries/python3-PyQtWebEngine/python3-PyQtWebEngine.info
@@ -0,0 +1,10 @@
+PRGNAM="python3-PyQtWebEngine"
+VERSION="5.13.2"
+HOMEPAGE="https://www.riverbankcomputing.com/software/pyqtwebengine/intro"
+DOWNLOAD="https://www.riverbankcomputing.com/static/Downloads/PyQtWebEngine/5.13.2/PyQtWebEngine-5.13.2.tar.gz"
+MD5SUM="0a5f156959066cf86de31ddfe973f134"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python3-PyQt5"
+MAINTAINER="Dave Woodfall"
+EMAIL="dave@slackbuilds.org"
diff --git a/libraries/python3-PyQtWebEngine/slack-desc b/libraries/python3-PyQtWebEngine/slack-desc
new file mode 100644
index 0000000000..c323b549e8
--- /dev/null
+++ b/libraries/python3-PyQtWebEngine/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+python3-PyQtWebEngine: python3-PyQtWebEngine (Python3 QtWebEngine Bindings)
+python3-PyQtWebEngine:
+python3-PyQtWebEngine: PyQtWebEngine is a set of Python bindings for The Qt Company's Qt
+python3-PyQtWebEngine: WebEngine libraries. The bindings sit on top of PyQt5 and are
+python3-PyQtWebEngine: implemented as a set of three modules. Prior to v5.12 these
+python3-PyQtWebEngine: bindings were part of PyQt itself.
+python3-PyQtWebEngine:
+python3-PyQtWebEngine:
+python3-PyQtWebEngine:
+python3-PyQtWebEngine:
+python3-PyQtWebEngine: